Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
issue upgrading to sys-libs/glibc-2.8_p20080602-r1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
ddc
Guru
Guru


Joined: 29 Aug 2006
Posts: 527

PostPosted: Sun Jun 07, 2009 9:15 pm    Post subject: issue upgrading to sys-libs/glibc-2.8_p20080602-r1 Reply with quote

* sys-libs/glibc
Latest version available: 2.8_p20080602-r1
Latest version installed: 2.6.1


# emerge -pv sys-libs/glibc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-libs/glibc-2.8_p20080602-r1 [2.6.1] USE="-debug -gd -glibc-omitfp (-hardened) (-multilib) -nls* -profile (-selinux) -vanilla" 0 kB

# emerge sys-libs/glibc

Quote:

* IMPORTANT: 2 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) sys-libs/glibc-2.8_p20080602-r1
* glibc-2.8-patches-6.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-2.8-20080602.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-2.8-ports-20080602.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
make kern-clo-test
cc -O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe -Wl,-O1 kern-clo-test.c -o kern-clo-test
>>> Unpacking source...
* Checking gcc for __thread support ... [ ok ]
* Checking kernel version (>=2.6.9) ... [ ok ]
* Checking linux-headers version (>=2.6.9) ... [ ok ]
>>> Unpacking glibc-2.8-20080602.tar.bz2 to /var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/work
>>> Unpacking glibc-2.8-ports-20080602.tar.bz2 to /var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/work/glibc-2.8-20080602
>>> Unpacking glibc-2.8-patches-6.tar.bz2 to /var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/work
* Applying Gentoo Glibc Patchset 2.8-6 ...
* 0010_all_glibc-2.7-ssp-compat.patch ... [ ok ]
* 0030_all_glibc-respect-env-CPPFLAGS.patch ... [ ok ]
* 0040_all_glibc-i586-chk.patch ... [ ok ]
* 0070_all_glibc-i386-x86_64-revert-clone-cfi.patch ... [ ok ]
* 0085_all_glibc-disable-ldconfig.patch ... [ ok ]
* 1010_all_glibc-queue-header-updates.patch ... [ ok ]
* 1030_all_glibc-manual-no-perl.patch ... [ ok ]
* 1040_all_2.3.3-localedef-fix-trampoline.patch ... [ ok ]
* 1050_all_glibc-2.8-stdio-redirect.patch ... [ ok ]
* 1051_all_glibc-2.8-__REPB_PREFIX.patch ... [ ok ]
* 1052_all_glibc-2.8-mkfile-NUL.patch ... [ ok ]
* 1053_all_glibc-2.8-Add-localedata.patch ... [ ok ]
* 1053_all_glibc-2.8-BODY-for-__gconv_transform_ascii_internal-Add-mis.patch ... [ ok ]
* 1053_all_glibc-2.8-bug-iconv6-ENV-tst-iconv7-ENV-Define.patch ... [ ok ]
* 1053_all_glibc-2.8-create_cd_newstate-Don-t-look-at-create_cd_newsta.patch ... [ ok ]
* 1053_all_glibc-2.8-do_test-Use-de_DE.UTF-8-locale.patch ... [ ok ]
* 1053_all_glibc-2.8-nscd-nscd_getserv_r.c-__nscd_getservbyport_r-P.patch ... [ ok ]
* 1053_all_glibc-2.8-optimize_utf8-Add-a-note-on-why-we-test-opr.ctx_t.patch ... [ ok ]
* 1054_all_glibc-2.8-deb-cvs-getaddrinfo.patch ... [ ok ]
* 1055_all_glibc-resolv-dynamic.patch ... [ ok ]
* 1075_all_glibc-section-comments.patch ... [ ok ]
* 1080_all_glibc-no-inline-gmon.patch ... [ ok ]
* 1090_all_glibc-2.3.6-fix-pr631.patch ... [ ok ]
* 1100_all_glibc-2.3.3-china.patch ... [ ok ]
* 1103_all_glibc-new-valencian-locale.patch ... [ ok ]
* 1130_all_glibc-2.4-undefine-__i686.patch ... [ ok ]
* 1160_all_glibc-2.8-nscd-one-fork.patch ... [ ok ]
* 1501_all_glibc-2.7-hppa-atomic_h.patch ... [ ok ]
* 1504_all_glibc-2.7-hppa-pie.patch ... [ ok ]
* 1518_all_glibc-2.7-pthread-join.patch ... [ ok ]
* 1530_all_glibc-m68k-sys-user.patch ... [ ok ]
* 3000_all_2.3.6-dl_execstack-PaX-support.patch ... [ ok ]
* 3010_all_2.3.3_pre20040117-pt_pax.patch ... [ ok ]
* 3020_all_glibc-tests-sandbox-libdl-paths.patch ... [ ok ]
* 5063_all_glibc-dont-build-timezone.patch ... [ ok ]
* 5070_all_glibc-2.7-cross-compile-nptl.patch ... [ ok ]
* 6001_all_alpha-glibc-2.4-xstat.patch ... [ ok ]
* 6015_all_alpha-glibc-2.5-no-page-header.patch ... [ ok ]
* 6016_all_alpha-glibc-2.5-no-asm-elf-header.patch ... [ ok ]
* 6017_all_alpha-glibc-2.8-creat.patch ... [ ok ]
* 6018_all_alpha-glibc-2.8-cache-shape.patch ... [ ok ]
* 6018_all_glibc-ptr-mangling.patch ... [ ok ]
* 6220_all_glibc-2.4-arm-cirrus-ep93xx-maverick-crunch-fpu.patch ... [ ok ]
* 6240_all_glibc-2.8-nptl-lowlevellock.patch ... [ ok ]
* 6400_all_sh-glibc-2.3.2-fpscr_values.patch ... [ ok ]
* 6415_all_sh-glibc-2.5-no-asm-user-header.patch ... [ ok ]
* 6416_all_sh-glibc-2.5-no-asm-elf-header.patch ... [ ok ]
* 6605_all_glibc-2.4-fpu-cw-mips.patch ... [ ok ]
* 6645_all_glibc-mips_shn_undef-hack.patch ... [ ok ]
* Done with patching
* Using GNU config files from /usr/share/libtool
* Updating scripts/config.sub [ ok ]
* Updating scripts/config.guess [ ok ]
>>> Source unpacked in /var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/work
>>> Compiling source in /var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/work/glibc-2.8-20080602 ...

* ABI: default
* CBUILD: powerpc-unknown-linux-gnu
* CHOST: powerpc-unknown-linux-gnu
* CTARGET: powerpc-unknown-linux-gnu
* CBUILD_OPT:
* CTARGET_OPT:
* CC:
* CFLAGS: -mcpu=G4 -mtune=G4 -fno-strict-aliasing -pipe -freorder-blocks -O2 -fno-strict-aliasing

* Configuring GLIBC for nptl with:
* --disable-nls
* --disable-stackguard-randomization
* --enable-old-ssp-compat
* --enable-add-ons=nptl,c_stubs,libidn,ports
* --enable-kernel=2.6.9
* --without-selinux
* --without-cvs
* --enable-bind-now
* --build=powerpc-unknown-linux-gnu
* --host=powerpc-unknown-linux-gnu
* --disable-profile
* --without-gd
* --with-headers=/usr/include
* --prefix=/usr
* --libdir=/usr/lib
* --mandir=/usr/share/man
* --infodir=/usr/share/info
* --libexecdir=/usr/lib/misc/glibc
*
checking build system type... powerpc-unknown-linux-gnu
checking host system type... powerpc-unknown-linux-gnu
configure: running configure fragment for add-on nptl
configure: running configure fragment for add-on c_stubs
configure: running configure fragment for add-on libidn
checking add-on ports for preconfigure fragments... am33 arm hppa m68k mips
checking sysdep dirs... sysdeps/powerpc/powerpc32/elf sysdeps/powerpc/elf sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu sysdeps/powerpc/powerpc32/fpu nptl/sysdeps/unix/sysv/linux/powerpc/powerpc32 ports/sysdeps/unix/sysv/linux/powerpc/powerpc32 sysdeps/unix/sysv/linux/powerpc/powerpc32 nptl/sysdeps/unix/sysv/linux/powerpc ports/sysdeps/unix/sysv/linux/powerpc sysdeps/unix/sysv/linux/powerpc sysdeps/ieee754/ldbl-128ibm sysdeps/ieee754/ldbl-opt nptl/sysdeps/unix/sysv/linux nptl/sysdeps/pthread sysdeps/pthread ports/sysdeps/unix/sysv/linux sysdeps/unix/sysv/linux sysdeps/gnu sysdeps/unix/common sysdeps/unix/mman sysdeps/unix/inet nptl/sysdeps/unix/sysv ports/sysdeps/unix/sysv sysdeps/unix/sysv sysdeps/unix/powerpc nptl/sysdeps/unix ports/sysdeps/unix sysdeps/unix sysdeps/posix sysdeps/powerpc/powerpc32 sysdeps/wordsize-32 sysdeps/powerpc/fpu nptl/sysdeps/powerpc ports/sysdeps/powerpc sysdeps/powerpc sysdeps/ieee754/dbl-64 sysdeps/ieee754/flt-32 sysdeps/ieee754 sysdeps/generic/elf sysdeps/generic
configure: WARNING: add-on ports contributed no useful sysdeps directories
checking for a BSD-compatible install... /bin/install -c
checking whether ln -s works... yes
checking for powerpc-unknown-linux-gnu-gcc... powerpc-unknown-linux-gnu-gcc
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether powerpc-unknown-linux-gnu-gcc accepts -g... yes
checking for powerpc-unknown-linux-gnu-gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... powerpc-unknown-linux-gnu-gcc -E
checking for powerpc-unknown-linux-gnu-g++... powerpc-unknown-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether powerpc-unknown-linux-gnu-g++ accepts -g... yes
checking whether /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/as is GNU as... yes
checking whether /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/ld is GNU ld... yes
checking for /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/as... /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/as
checking version of /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/as... 2.17, ok
checking for /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/ld... /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/ld
checking version of /usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/../../../../powerpc-unknown-linux-gnu/bin/ld... 2.17, ok
checking for pwd... /bin/pwd
checking for powerpc-unknown-linux-gnu-gcc... (cached) powerpc-unknown-linux-gnu-gcc
checking version of powerpc-unknown-linux-gnu-gcc... 3.4.6, ok
checking for gnumake... no
checking for gmake... gmake
checking version of gmake... 3.81, ok
checking for gnumsgfmt... no
checking for gmsgfmt... gmsgfmt
checking version of gmsgfmt... 0.17, ok
checking for makeinfo... makeinfo
checking version of makeinfo... 4.11, ok
checking for sed... sed
checking version of sed... 4.1.5, ok
checking for autoconf... autoconf
checking whether autoconf works... yes
checking whether ranlib is necessary... no
checking LD_LIBRARY_PATH variable... ok
checking whether GCC supports -static-libgcc... -static-libgcc
checking for bash... /bin/bash
checking for gawk... gawk
checking for perl... /usr/bin/perl
checking for install-info... /usr/bin/install-info
checking for bison... /usr/bin/bison
checking for signed size_t type... no
checking for libc-friendly stddef.h... yes
checking whether we need to use -P to assemble .S files... no
checking whether .text pseudo-op must be used... yes
checking for assembler global-symbol directive... .globl
checking for .set assembler directive... yes
checking for assembler .type directive prefix... @
checking for .symver assembler directive... yes
checking for ld --version-script... yes
checking for .previous assembler directive... yes
checking for .protected and .hidden assembler directive... yes
checking whether __attribute__((visibility())) is supported... yes
checking for broken __attribute__((visibility()))... no
checking for broken __attribute__((alias()))... no
checking whether to put _rtld_local into .sdata section... yes
checking for .preinit_array/.init_array/.fini_array support... yes
checking for libunwind-support in compiler... no
checking for -z nodelete option... yes
checking for -z nodlopen option... yes
checking for -z initfirst option... yes
checking for -z relro option... yes
checking for -Bgroup option... yes
checking for libgcc_s suffix...
checking for --as-needed option... yes
checking whether --noexecstack is desirable for .S files... yes
checking for -z combreloc... yes
checking for -z execstack... yes
checking for -fpie... yes
checking for --hash-style option... no
checking for -fno-toplevel-reorder -fno-section-anchors... no
checking for -fstack-protector... yes
checking for -fgnu89-inline... no
checking whether cc puts quotes around section names... no
checking for assembler .weak directive... yes
checking whether CFI directives are supported... yes
checking for ld --no-whole-archive... yes
checking for gcc -fexceptions... yes
checking whether clobbering cr0 causes problems... no
checking for __builtin_expect... yes
checking for __builtin_memset... no
checking for redirection of built-in functions... yes
checking for __thread... yes
checking for tls_model attribute... yes
checking for libgd... no
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for long double... yes
checking size of long double... 8
running configure fragment for sysdeps/powerpc/powerpc32/elf
checking for powerpc32 TLS support... yes
running configure fragment for sysdeps/unix/sysv/linux/powerpc
checking whether powerpc-unknown-linux-gnu-gcc -mcpu=G4 -mtune=G4 -fno-strict-aliasing -pipe -freorder-blocks -O2 -fno-strict-aliasing -mlong-double-128 uses IBM extended format... no
checking whether powerpc-unknown-linux-gnu-gcc -mcpu=G4 -mtune=G4 -fno-strict-aliasing -pipe -freorder-blocks -O2 -fno-strict-aliasing supports -mabi=ibmlongdouble... no
configure: error: this configuration requires -mlong-double-128 IBM extended format support
*
* ERROR: sys-libs/glibc-2.8_p20080602-r1 failed.
* Call stack:
* ebuild.sh, line 48: Called src_compile
* environment, line 3528: Called eblit-run 'src_compile'
* environment, line 1108: Called eblit-glibc-src_compile
* src_compile.eblit, line 188: Called toolchain-glibc_src_compile
* src_compile.eblit, line 121: Called glibc_do_configure 'nptl'
* src_compile.eblit, line 98: Called die
* The specific snippet of code:
* "${S}"/configure ${myconf} || die "failed to configure glibc"
* The die message:
* failed to configure glibc
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/temp/environment'.
*

>>> Failed to emerge sys-libs/glibc-2.8_p20080602-r1, Log file:

>>> '/var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/temp/build.log'

* Messages for package sys-libs/glibc-2.8_p20080602-r1:

*
* ERROR: sys-libs/glibc-2.8_p20080602-r1 failed.
* Call stack:
* ebuild.sh, line 48: Called src_compile
* environment, line 3528: Called eblit-run 'src_compile'
* environment, line 1108: Called eblit-glibc-src_compile
* src_compile.eblit, line 188: Called toolchain-glibc_src_compile
* src_compile.eblit, line 121: Called glibc_do_configure 'nptl'
* src_compile.eblit, line 98: Called die
* The specific snippet of code:
* "${S}"/configure ${myconf} || die "failed to configure glibc"
* The die message:
* failed to configure glibc
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.8_p20080602-r1/temp/environment'.
*



my /etc/make.conf uses
# PPC-G4
CFLAGS="-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CXXFLAGS="${CFLAGS}"



gcc is: 4.1.2
Quote:

Using built-in specs.
Target: powerpc-unknown-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/configure --prefix=/usr --bindir=/usr/powerpc-unknown-linux-gnu/gcc-bin/4.1.2 --includedir=/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/include --datadir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.1.2 --mandir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.1.2/man --infodir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.1.2/info --with-gxx-include-dir=/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/include/g++-v4 --host=powerpc-unknown-linux-gnu --build=powerpc-unknown-linux-gnu --enable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-libunwind-exceptions --disable-multilib --enable-libmudflap --disable-libssp --enable-java-awt=gtk --enable-languages=c,c++,java,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 4.1.2 (Gentoo 4.1.2 p1.1)



binutils are GNU assembler 2.17



my kernel is 2.6.26



any idea ?
Back to top
View user's profile Send private message
booleandomain
n00b
n00b


Joined: 02 May 2009
Posts: 62

PostPosted: Mon Jun 08, 2009 7:12 am    Post subject: Reply with quote

It seems similar to bug https://bugs.gentoo.org/show_bug.cgi?id=148624.
Back to top
View user's profile Send private message
ddc
Guru
Guru


Joined: 29 Aug 2006
Posts: 527

PostPosted: Mon Jun 08, 2009 7:43 am    Post subject: Reply with quote

i need to use gcc-3.4.6 and gcc-.4.1.2, yesterday i emerged 4.3.2

the bugzilla says "your gcc (my 4.1.2, the current used one) is too old"

my question is: if gcc-config 3 (that means gcc-4.3.2), and then i emerge the new glibc, could i still use the previous gcc ?
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Fri Jun 19, 2009 11:39 am    Post subject: Reply with quote

ddc wrote:
i need to use gcc-3.4.6 and gcc-.4.1.2, yesterday i emerged 4.3.2

the bugzilla says "your gcc (my 4.1.2, the current used one) is too old"

my question is: if gcc-config 3 (that means gcc-4.3.2), and then i emerge the new glibc, could i still use the previous gcc ?
As far as I know yes.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum